Package io.vertx.serviceproxy.generator

## Class ServiceProxyGen

- java.lang.Object
- - io.vertx.codegen.processor.Generator<ProxyModel>
  - - io.vertx.serviceproxy.generator.ServiceProxyGen

-     public class ServiceProxyGen
      extends io.vertx.codegen.processor.Generator<ProxyModel>

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.processor.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceProxyGen​(GeneratorUtils utils)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()` |
    `String` | `filename​(ProxyModel model)` |
    `String` | `render​(ProxyModel model, int index, int size, Map<String,​Object> session)` |

    - ### Methods inherited from class io.vertx.codegen.processor.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProxyGen

          public ServiceProxyGen​(GeneratorUtils utils)

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### filename

          public String filename​(ProxyModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.processor.Generator<ProxyModel>`

    - #### render

          public String render​(ProxyModel model,
                               int index,
                               int size,
                               Map<String,​Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.processor.Generator<ProxyModel>`